package com.ruoyi.ems.domain;

import com.ruoyi.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 能源设备部件对象 adm_ems_device_component
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
public class EmsDeviceComponent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 设备编码 */
    private String deviceCode;

    /** 部件编码 */
    private String compoCode;

    /** 部件标签 */
    private String compoTag;

    /** 外部系统编码 */
    private String extCompoCode;

    /**
     * 工艺代码
     */
    private String psCode;

    /** 工艺名称 */
    private String psName;

    /** 部件模型 */
    private String compoModel;

    /** 部件品牌 */
    private String compoBrand;

    /** 部件型号 */
    private String compoSpec;

    /** 祖籍列表 */
    private String ancestors;

    /** 上级部件 */
    private String parentCompo;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDeviceCode(String deviceCode) 
    {
        this.deviceCode = deviceCode;
    }

    public String getDeviceCode() 
    {
        return deviceCode;
    }
    public void setCompoCode(String compoCode) 
    {
        this.compoCode = compoCode;
    }

    public String getCompoCode() 
    {
        return compoCode;
    }

    public String getCompoTag() {
        return compoTag;
    }

    public void setCompoTag(String compoTag) {
        this.compoTag = compoTag;
    }

    public void setExtCompoCode(String extCompoCode)
    {
        this.extCompoCode = extCompoCode;
    }

    public String getExtCompoCode() 
    {
        return extCompoCode;
    }

    public String getPsCode() {
        return psCode;
    }

    public void setPsCode(String psCode) {
        this.psCode = psCode;
    }

    public String getPsName() {
        return psName;
    }

    public void setPsName(String psName) {
        this.psName = psName;
    }

    public void setCompoModel(String compoModel)
    {
        this.compoModel = compoModel;
    }

    public String getCompoModel() 
    {
        return compoModel;
    }
    public void setCompoBrand(String compoBrand) 
    {
        this.compoBrand = compoBrand;
    }

    public String getCompoBrand() 
    {
        return compoBrand;
    }
    public void setCompoSpec(String compoSpec) 
    {
        this.compoSpec = compoSpec;
    }

    public String getCompoSpec() 
    {
        return compoSpec;
    }
    public void setAncestors(String ancestors) 
    {
        this.ancestors = ancestors;
    }

    public String getAncestors() 
    {
        return ancestors;
    }
    public void setParentCompo(String parentCompo) 
    {
        this.parentCompo = parentCompo;
    }

    public String getParentCompo() 
    {
        return parentCompo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deviceCode", getDeviceCode())
            .append("compoCode", getCompoCode())
            .append("extCompoCode", getExtCompoCode())
            .append("compoModel", getCompoModel())
            .append("compoBrand", getCompoBrand())
            .append("compoSpec", getCompoSpec())
            .append("ancestors", getAncestors())
            .append("parentCompo", getParentCompo())
            .toString();
    }
}
